Overview | Modules | Class Hierarchy | Classes | Members

# tlp::InteractorSelection Class Reference

`#include <GlMainViewInteractor.h>`

Inherits tlp::NodeLinkDiagramComponentInteractor.

Inheritance diagram for tlp::InteractorSelection:

[legend]
Collaboration diagram for tlp::InteractorSelection:

[legend]
List of all members.

## Detailed Description

Tulip interactor to select par of the graph.

## Public Member Functions

- InteractorSelection ()
- void construct ()

## Constructor & Destructor Documentation

tlp::InteractorSelection::InteractorSelection | ( |  | ) |

| Default constructor

## Member Function Documentation

void tlp::InteractorSelection::construct | ( |  | ) | `[virtual]`

| Construct chain of responsibility Reimplemented from tlp::InteractorChainOfResponsibility.

Tulip Software by LaBRI Visualization Team 2001 - 2010